Subject: bug#75938: 31.0.50; Temporary file-names overflowing MAX_PATH characters

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jan 2025 18:57:19 +0200

> From: arthur miller <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 31 Jan 2025 15:57:35 +0000
> 
> > I've replaced them with SAFE_ALLOCA now.  Arthur, please see if you
> still get C stack overflow.
> 
> Thus far, I pulled and compiled with -O2 -mtune=native; It does not end
> in C stack overflow, but it does crash Emacs.
> 
> On first run, there was native compiler interfering, so I restarted Emacs, let
> the native compiler do what it wants to do, and than restarted a new and
> tried, and I get the same problem: memory exhaustion, when Emacs takes
> somewhere around 12 gig. I have 32 gig ram in this machine; it is the same
> computer from a couple of years (or more?) ago when Emacs was eating
> all 32 gig on gnu/Linux).
> 
> Now, Emacs is taking about 12 gig when it reports memory exhaustion. You
> can see from the screenhots, it is going up, and than ~12 or immidiately before
> it reports memory exhausted in Messages buffer. Interested thing, the graphic 
> driver also crashed, so I couldn't take the screenshot of the last time, I don't know
> if the changed resolution is visible on a screenshot. The process manager reports
> only about 60% of memory usage, so I am not sure why it crashes, but felt like
> back in time of Windows 98; it didn't help to restart explorer or change desktop
> settings, I had to restart the system 🙂. On Arch, I was able to switch to
> another tty, kill Emacs and restart X11, and everything was fine again.

When you say "Emacs crashed", do you mean memory exhaustion, or do you
mean an actual crash, with backtrace and the Abort dialog popped up?